package fr.free.ithel.dispatcher;

/**
 * La classe SignalEvent encapsule les donnees relatives a l'envoi d'un signal au moyen du Dispatcher.
 * 
 * @author yohan
 *
 */
public class SignalEvent {
	private String signal;
	
	private Object data;
	
	private Object source;

	/**
	 * Constructeur de la classe SignalEvent.
	 * @param source l'objet a l'origine de l'envoi du signal
	 * @param signal le signal
	 * @param data l'information qui doit etre communiquee aux ecouteurs
	 */
	public SignalEvent(Object source, String signal, Object data) {
		this.source = source;
		this.signal = signal;
		this.data = data;
	}

	/**
	 * Retourne l'identifiant du signal envoye.
	 * @return l'identifiant du signal envoye
	 */
	public String getSignal() {
		return signal;
	}

	/**
	 * Retourne l'information qui doit etre communiquee aux ecouteurs.
	 * @return l'information qui doit etre communiquee aux ecouteurs
	 */
	public Object getData() {
		return data;
	}

	/**
	 * Retourne l'objet a l'origine de l'envoi du signal.
	 * @return l'objet a l'origine de l'envoi du signal
	 */
	public Object getSource() {
		return source;
	}
}
